[tool.poetry]
name = "ipfabric-webhook-listener"
version = "0.0.1"
description = "A webhook listener for IP Fabric to add custom integrations with external sources."
authors = ["Justin Jeffery <justin.jeffery@ipfabric.io>"]
license = "MIT"
packages = [
    { include = "ipf_webhook_listener" },
]

[tool.poetry.dependencies]
python = "^3.7.1"
python-dotenv = "^0.19.2"
uvicorn = "^0.16.0"
ipfabric = "^0.9.0"
tableauhyperapi = "^0.0.13980"
pandas = "^1.3.5"
pantab = "^2.1.0"
tableau-tools = "^6.0.0"
tableauserverclient = "^0.17.0"
fastapi = "^0.75.1"

[tool.poetry.dev-dependencies]

[build-system]
requires = ["poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"

[tool.poetry.scripts]
api = "ipf_webhook_listener.api:main"
